> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisdata.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Hotel Booking

> OTA_HotelResRQ Playground

Use this request to book an available unit for the desired number of pax, dates, service.

<Tip>   Find all the necessary information regarding the request message [here](../../../hotel/bookRQ)</Tip>

***

<Warning> The endpoint (url) shown in the code snippet is for Sandbox only. If you need to throw the requests from Postman or other tools, please use [https://sintesb.axisdata.net/apu-test/ota](https://sintesb.axisdata.net/apu-test/ota) after whitelisting your IPs. More info at [Access to our Systems](../../../authentication/access)</Warning>


## OpenAPI

````yaml POST /hotelbook
openapi: 3.0.3
info:
  title: Hotel Availability API
  version: 1.0.0
servers:
  - url: https://ota-int.axisdata.net:9443
    description: Gateway endpoint
security: []
paths:
  /hotelbook:
    post:
      summary: OTA Hotel Reservation Request
      description: OTA_HotelResRQ Playground
      requestBody:
        required: true
        content:
          application/xml:
            schema:
              $ref: '#/components/schemas/OTA_HotelResRQ'
      responses:
        '200':
          description: Success
          content:
            application/xml:
              schema:
                type: string
components:
  schemas:
    OTA_HotelResRQ:
      type: string
      format: xml
      default: >-
        <OTA_HotelResRQ xmlns="http://www.opentravel.org/OTA/2003/05"
        ResStatus="Quote" Version="2008.1" PrimaryLangID="EN">
          <POS>
            <Source>
              <RequestorID ID_Context="AxisData" Type="22" ID="TEST" Instance="PriceBreakdown"/>
            </Source>
            <Source>
              <RequestorID Type="88" ID="TEST" MessagePassword="testpass"/>
            </Source>
          </POS>
          <HotelReservations>
            <HotelReservation>
              <RoomStays>
                <RoomStay RPH="1">
                  <RoomTypes>
                    <RoomType RoomTypeCode="RM00CRMV00"/>
                  </RoomTypes>
                  <TimeSpan End="2029-07-24" Start="2029-07-17"/>
                  <BasicPropertyInfo HotelCode="AESPMI5L46"/>
                  <ResGuestRPHs>
                    <ResGuestRPH RPH="1"/>
                    <ResGuestRPH RPH="2"/>
                    <ResGuestRPH RPH="3"/>
                  </ResGuestRPHs>
                  <ServiceRPHs>
                    <ServiceRPH RPH="1"/>
                  </ServiceRPHs>
                </RoomStay>
              </RoomStays>
              <Services>
                <Service ServiceInventoryCode="HB" ServiceRPH="1"/>
              </Services>
              <ResGuests>
                <ResGuest AgeQualifyingCode="10" ResGuestRPH="1">
                  <Profiles>
                    <ProfileInfo>
                      <Profile>
                        <Customer BirthDate="1996-09-04">
                          <PersonName>
                            <NamePrefix>Mr</NamePrefix>
                            <GivenName>Bender</GivenName>
                            <Surname>Bending</Surname>
                          </PersonName>
                        </Customer>
                      </Profile>
                    </ProfileInfo>
                  </Profiles>
                  <GuestCounts>
                    <GuestCount Count="1" Age="27"/>
                  </GuestCounts>
                </ResGuest>
                <ResGuest AgeQualifyingCode="10" ResGuestRPH="2">
                  <Profiles>
                    <ProfileInfo>
                      <Profile>
                        <Customer BirthDate="1996-09-05">
                          <PersonName>
                            <NamePrefix>Mrs</NamePrefix>
                            <GivenName>Angelina</GivenName>
                            <Surname>Bending</Surname>
                          </PersonName>
                        </Customer>
                      </Profile>
                    </ProfileInfo>
                  </Profiles>
                  <GuestCounts>
                    <GuestCount Count="1" Age="27"/>
                  </GuestCounts>
                </ResGuest>
                <ResGuest AgeQualifyingCode="8" ResGuestRPH="3">
                  <Profiles>
                    <ProfileInfo>
                      <Profile>
                        <Customer BirthDate="2019-09-06">
                          <PersonName>
                            <NamePrefix>Jr</NamePrefix>
                            <GivenName>Ben</GivenName>
                            <Surname>Bending</Surname>
                          </PersonName>
                        </Customer>
                      </Profile>
                    </ProfileInfo>
                  </Profiles>
                  <GuestCounts>
                    <GuestCount Count="1" Age="10"/>
                  </GuestCounts>
                </ResGuest>
              </ResGuests>
              <ResGlobalInfo>
                <Comments>
                  <Comment Name="Applicant Notice">
                    <Text>late arrival - flight lands at 22:55 local time</Text>
                  </Comment>
                </Comments>
                <HotelReservationIDs>
                  <HotelReservationID ResID_SourceContext="Client" ResID_Type="36" ResID_Value="test_xxx"/>
                  <HotelReservationID Item_RPH="1" ResID_SourceContext="Client" ResID_Type="37" ResID_Value="test_xxx_ac1"/>
                </HotelReservationIDs>
              </ResGlobalInfo>
            </HotelReservation>
          </HotelReservations>
        </OTA_HotelResRQ>

````